<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <title>Button - jQuery UI</title>
    <script src="../../static/jquery/jquery-3.4.1.js"></script>
    <script src="../../static/jquery/jquery-ui.js"></script>
    <link href="../../static/jquery/jquery-ui.css" rel="stylesheet">
    <link href="../../static/style/common.css" rel="stylesheet">
</head>

<body>
    <div class="content">
        <div id="console" class="console">
        </div>
    </div>
    <script>
        var result;
        $(function() {
            $console = $('#console');

            var initPageView = function() {
                var amount = '000007200';
                amount = amount.replace(/\b(0+)/gi,"");
                $console.text(amount);
//                var msg = transferToDecimalFormat(amout,false);
//                $console.text(msg);
            }


            // 等同MBGWUtil.transferToDecimalFormat方法。bShowFloat true >> xx,xxx,xxx.00 ; false xx,xxx,xxx
            function transferToDecimalFormat(num, bShowFloat) {
                if (bShowFloat) {
                    return '$' + num.toFixed(2).replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1,');
                } else {
                    return num.toString().replace(/(\d)(?=(\d{3})+(?!\d))/g, '$1,')
                }
            }

            initPageView();
        });

    </script>
</body>

</html>
